Bug 1027693 - Quota: features.quota-deem-statfs is "on" even after disabling quota.
Quota: features.quota-deem-statfs is "on" even after disabling quota.
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
2.1
Unspecified Unspecified
medium Severity unspecified
: ---
: RHGS 3.1.0
Assigned To: Nagaprasad Sathyanarayana
Anil Shah
:
Depends On:
Blocks: 1151933 1200258 1202842 1223636
  Show dependency treegraph
 
Reported: 2013-11-07 04:58 EST by Gowrishankar Rajaiyan
Modified: 2016-09-17 08:38 EDT (History)
10 users (show)

See Also:
Fixed In Version: gluster-3.7.0-2.el6rhs
Doc Type: Bug Fix
Doc Text:
Previously, the features.quota-deem-statfs volume option was "on" even when quota was disabled. With this fix, features.quota-deem-statfs is turned off when quota is turned off.
Story Points: ---
Clone Of:
: 1151933 (view as bug list)
Environment:
Last Closed: 2015-07-29 00:29:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2013-11-07 04:58:22 EST
Description of problem: features.quota-deem-statfs is "on" even after disabling quota. timeout options like features.soft-timeout and features.hard-timeout are removed once quota is disabled, however, deem-statfs is not.


Version-Release number of selected component (if applicable):
glusterfs-server-3.4.0.39rhs-1.el6rhs.x86_64

How reproducible: Always


Steps to Reproduce:
1. Enable quota on volume.
2. Set deem-statfs to on
3. Disable quota

Actual results: deem-statfs is on even after quota is disabled.


Expected results: deem-statfs should be turned off when quota is disabled.


Additional info:
[root@server1 ~]# gluster vol info
 
Volume Name: shanks-quota
Type: Distributed-Replicate
Volume ID: 2e661bf1-828d-412e-92cb-8eceacf29f5f
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.43.3:/rhs/shanks-quota/quota1
Brick2: 10.70.43.199:/rhs/shanks-quota/quota1
Brick3: 10.70.43.156:/rhs/shanks-quota/quota1
Brick4: 10.70.43.1:/rhs/shanks-quota/quota1
Options Reconfigured:
features.quota-deem-statfs: on
features.quota: on


[root@server1 ~]# gluster vol quota shanks-quota disable 
Disabling quota will delete all the quota configuration. Do you want to continue? (y/n) y
volume quota : success
[root@server1 ~]#

Volume Name: shanks-quota
Type: Distributed-Replicate
Volume ID: 2e661bf1-828d-412e-92cb-8eceacf29f5f
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.43.3:/rhs/shanks-quota/quota1
Brick2: 10.70.43.199:/rhs/shanks-quota/quota1
Brick3: 10.70.43.156:/rhs/shanks-quota/quota1
Brick4: 10.70.43.1:/rhs/shanks-quota/quota1
Options Reconfigured:
features.quota-deem-statfs: on
features.quota: off
Comment 3 Anil Shah 2015-05-29 03:04:21 EDT
[root@darkknight ~]# gluster v quota vol0 disable
Disabling quota will delete all the quota configuration. Do you want to continue? (y/n) y
volume quota : success

[root@darkknight ~]# gluster v info vol0
 
Volume Name: vol0
Type: Distributed-Replicate
Volume ID: 4c1a4242-08e0-4cf3-830b-91dd5f78e4b8
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.33.214:/rhs/brick1/b1
Brick2: 10.70.33.219:/rhs/brick1/b2
Brick3: 10.70.33.225:/rhs/brick1/b3
Brick4: 10.70.44.13:/rhs/brick1/b4
Options Reconfigured:
performance.readdir-ahead: on
features.uss: enable
features.quota: off
features.inode-quota: off

Bugs verified successfully on build glusterfs 3.7.0
Comment 4 Bhavana 2015-07-25 03:57:16 EDT
Hi Vijai,

The doc text is updated. Please review the same and share your technical review comments. If it looks ok, then sign-off on the same.

Regards,
Bhavana
Comment 6 Vijaikumar Mallikarjuna 2015-07-27 00:33:21 EDT
Doc-text looks good to me
Comment 8 errata-xmlrpc 2015-07-29 00:29:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html

Note You need to log in before you can comment on or make changes to this bug.